﻿using Celeste;
using Microsoft.Xna.Framework;
using Monocle;
using System;
using System.Collections.Generic;
using Celeste.Mod.Entities;


namespace Celeste.Mod.FastPlayerDeadBodyHelper
{
    public class FastPlayerDeadBodyModule : EverestModule
    {
        public static FastPlayerDeadBodyModule Instance;

        public FastPlayerDeadBodyModule()
        {
            Instance = this;
        }

        public override void Load()
        {
            FastPlayerDeadBody.Load();
        }
        public override void Unload()
        {
            FastPlayerDeadBody.Unload();
        }

        public override Type SettingsType => typeof(FastPlayerDeadBodyModuleSettings);
        public static FastPlayerDeadBodyModuleSettings Settings => (FastPlayerDeadBodyModuleSettings)Instance._Settings;
    }

    public class FastPlayerDeadBodyModuleSettings : EverestModuleSettings
    {
        public bool DisableExplosions { get; set; }
        //enableExplosions => TextMenu.OnOff;
        //bool => TextMenu.OnOff;
    }
}